Initiate a closed loop load transaction from the wallet to the specified card
Header Parameters
X-Auth-User-IDstring Required
The user_id of the user returned via GET /users
Authorizationstring
Path Parameters
card_idstring Required
The card_id for which the information is being retrieved.
pagestring Required
Page number of the data set returned
Body Parameters
amountinteger Required
messagestring
fund_category_namestring
Response
200
Object
OK
Response Attributes
idstring
Transaction ref ID.
recipientobject
Details of the recipient.
Show child attributes
dateobject
created and expiry date of the card
Show child attributes
statusstring
status of the card.
amountstring
The amount being added or deducted from card.
currencystring
The currecny type in which amount being added or deducted.
400
Object
Bad Request
| Code | Description |
| :--- | :---------- |
| resource_card_hash_id_invalid | Invalid card `hash_id`. |
| resource_card_fund_transfer_amount_empty | Amount cannnot be empty |
| resource_card_fund_transfer_amount_greater_than_limit | Amount is greater than limit |
| resource_card_fund_transfer_amount_greater_less_than_limit | Amount is less than minimum amount limit |
| resource_card_fund_transfer_amount_zero | Amount cannnot be zero |
| resource_card_fund_transfer_amount_less_than_min_amount | Amount is less than minimum amount |
| resource_card_fund_transfer_purse_daily_limit_reached | Daily purse limit reached |
| resource_card_fund_transfer_purse_weekly_limit_reached | Weekly purse limit reached |
| resource_card_fund_transfer_purse_monthly_limit_reached | Monthly purse limit reached |
| resource_card_fund_transfer_purse_daily_count_limit_reached | Daily count limit reached |
| resource_card_fund_transfer_purse_weekly_count_limit_reached | Weekly count limit reached |
| resource_card_fund_transfer_purse_monthly_count_limit_reached | Monthly count limit reached |
| resource_card_fund_transfer_purse_lifetime_count_limit_reached | Lifetime count limit reached |
| resource_card_fund_transfer_purse_unit_transactional_limit_reached | Unit transactional limit reached |
| resource_card_fund_transfer_purse_daily_transactional_limit_reached | Daily transactional limit reached |
| resource_card_fund_transfer_purse_weekly_transactional_limit_reached | Monthly transactional limit reached |
| resource_card_fund_transfer_purse_annual_transactional_limit_reached | Annual transactional limit reached |
| resource_card_fund_transfer_purse_lifetime_transactional_limit_reached | Lifetime transactional limit reached |
| resource_card_fund_transfer_minimum_credit_limit_reached | Credit must be greater than or equal to the amount being deducted |
| resource_card_fund_transfer_maximum_credit_limit_reached | Maximum credit which can be accomodated by the card/wallet has been reached |
| resource_card_fund_transfer_same_user | Fund transfer to the same user is not allowed |
| resource_user_wallet_fund_require_fund_category_criteria | Fund category name is either in an invalid format or not found |
| resource_card_fund_category_transfer_maximum_credit_limit_reached | Maximum credit which can be accommodated by the card/wallet for the selected fund category has been reached |
| resource_card_fund_category_transfer_minimum_debit_limit_reached | Credit on the selected fund category of the card/wallet must be greater than or equal to the amount being deducted |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
401
Object
Unauthorized request
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
403
Object
Forbidden
| Code | Description |
| :--- | :---------- |
| restricted_resource | Access with method `POST` denied |
| risk_management_engine_error | An exception occurred during the processing of the risk and compliance of the user. |
| user_blocked_risk_threshold_exceeded | User have exceeded the risk and compliance threshold and was automatically blocked. |
Response Attributes
codeinteger Required
descriptionstring Required
linkstring Required
404
Object
Resource not found
| Code | Description |
| :--- | :---------- |
| resource_not_found | The requested URL was not found |